Models - Get Base Model
Gets the base model identified by the given ID.
GET {endpoint}/speechtotext/models/base/{id}?api-version=2025-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
id
|
path | True |
string (uuid) |
The identifier of the base model. |
|
api-version
|
query | True |
string |
The requested api version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Provide your cognitive services account key here. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
An error occurred. |
Security
Ocp-Apim-Subscription-Key
Provide your cognitive services account key here.
Type:
apiKey
In:
header
Examples
Get a base model
Sample request
GET {endpoint}/speechtotext/models/base/827712a5-f942-4997-91c3-7c6cde35600b?api-version=2025-10-15
Sample response
{
"links": {
"manifest": "https://westus.api.cognitive.microsoft.com/speechtotext/models/base/827712a5-f942-4997-91c3-7c6cde35600b/manifest?api-version=2025-10-15"
},
"properties": {
"deprecationDates": {
"adaptationDateTime": "2022-11-04T00:00:00Z",
"transcriptionDateTime": "2023-05-04T00:00:00Z"
},
"features": {
"supportsAdaptationsWith": [
"Language",
"Acoustic"
],
"supportsTranscriptionsSubmit": true,
"supportsTranscriptionsTranscribe": true,
"supportsEndpoints": true,
"supportsTranscriptionsOnSpeechContainers": true,
"supportedOutputFormats": [
"Display",
"Lexical"
]
},
"chargeForAdaptation": true
},
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/base/827712a5-f942-4997-91c3-7c6cde35600b?api-version=2025-10-15",
"displayName": "en-US Base model",
"locale": "en-US",
"createdDateTime": "2019-01-07T11:34:12Z",
"lastActionDateTime": "2019-01-07T11:36:07Z",
"status": "Succeeded"
}
Definitions
| Name | Description |
|---|---|
|
Base |
BaseModel |
|
Base |
BaseModelDeprecationDates |
|
Base |
BaseModelFeatures |
|
Base |
BaseModelLinks |
|
Base |
BaseModelProperties |
|
Dataset |
DatasetKind |
|
Detailed |
DetailedErrorCode |
| Error |
Error |
|
Error |
ErrorCode |
|
Inner |
InnerError |
|
Output |
OutputFormatType |
| Status |
Status |
BaseModel
BaseModel
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
The time-stamp when the object was created. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| description |
string |
The description of the object. |
| displayName |
string minLength: 1 |
The display name of the object. |
| lastActionDateTime |
string (date-time) |
The time-stamp when the current status was entered. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| links |
BaseModelLinks |
|
| locale |
string minLength: 1 |
The locale of the contained data. |
| properties |
BaseModelProperties |
|
| self |
string (uri) |
The location of this entity. |
| status |
Status |
BaseModelDeprecationDates
BaseModelDeprecationDates
| Name | Type | Description |
|---|---|---|
| adaptationDateTime |
string (date-time) |
The date when adaptation becomes deprecated. |
| transcriptionDateTime |
string (date-time) |
The date when transcription becomes deprecated. |
BaseModelFeatures
BaseModelFeatures
| Name | Type | Description |
|---|---|---|
| supportedOutputFormats |
Supported output formats. |
|
| supportsAdaptationsWith |
Supported dataset kinds to adapt the model. |
|
| supportsEndpoints |
boolean |
A value indicating whether creation of endpoints for live transcription is supported. |
| supportsTranscriptionsOnSpeechContainers |
boolean |
A value indicating whether this model can be used for transcription on speech container. This feature can be added on existing models when it becomes usable on speech container. |
| supportsTranscriptionsSubmit |
boolean |
A value indicating whether submission of transcription jobs is supported (POST /transcriptions:submit). |
| supportsTranscriptionsTranscribe |
boolean |
A value indicating whether the transcribe action is supported (POST /transcriptions:transcribe). |
BaseModelLinks
BaseModelLinks
| Name | Type | Description |
|---|---|---|
| manifest |
string (uri) |
The location to get a manifest for this model to be used in the on-prem container. See operation "Models_GetCustomModelManifest" for more details. |
BaseModelProperties
BaseModelProperties
| Name | Type | Description |
|---|---|---|
| chargeForAdaptation |
boolean |
A value indicating whether model adaptation is charged. |
| deprecationDates |
BaseModelDeprecationDates |
|
| features |
BaseModelFeatures |
DatasetKind
DatasetKind
| Value | Description |
|---|---|
| Language |
A language dataset. |
| Acoustic |
An acoustic dataset. |
| Pronunciation |
A pronunciation dataset. |
| AudioFiles |
An audio files dataset. |
| LanguageMarkdown |
A language markdown dataset. |
| OutputFormatting |
Dataset that contains rules to customize inverse text normalization, capitalization, reformulation, profanity and also defines tests for dataset validation |
DetailedErrorCode
DetailedErrorCode
| Value | Description |
|---|---|
| InvalidParameterValue |
Invalid parameter value. |
| InvalidRequestBodyFormat |
Invalid request body format. |
| EmptyRequest |
Empty Request. |
| MissingInputRecords |
Missing Input Records. |
| InvalidDocument |
Invalid Document. |
| ModelVersionIncorrect |
Model Version Incorrect. |
| InvalidDocumentBatch |
Invalid Document Batch. |
| UnsupportedLanguageCode |
Unsupported language code. |
| DataImportFailed |
Data import failed. |
| InUseViolation |
In use violation. |
| InvalidLocale |
Invalid locale. |
| InvalidBaseModel |
Invalid base model. |
| InvalidAdaptationMapping |
Invalid adaptation mapping. |
| InvalidDataset |
Invalid dataset. |
| InvalidTest |
Invalid test. |
| FailedDataset |
Failed dataset. |
| InvalidModel |
Invalid model. |
| InvalidTranscription |
Invalid transcription. |
| InvalidPayload |
Invalid payload. |
| InvalidParameter |
Invalid parameter. |
| EndpointWithoutLogging |
Endpoint without logging. |
| InvalidPermissions |
Invalid permissions. |
| InvalidPrerequisite |
Invalid prerequisite. |
| InvalidProductId |
Invalid product id. |
| InvalidSubscription |
Invalid subscription. |
| InvalidProject |
Invalid project. |
| InvalidProjectKind |
Invalid project kind. |
| InvalidRecordingsUri |
Invalid recordings uri. |
| OnlyOneOfUrlsOrContainerOrDataset |
Only one of urls or container or dataset. |
| ExceededNumberOfRecordingsUris |
Exceeded number of recordings uris. |
| InvalidChannels |
Invalid channels. |
| ModelMismatch |
Model mismatch. |
| ProjectGenderMismatch |
Project gender mismatch. |
| ModelDeprecated |
Model deprecated. |
| ModelExists |
Model exists. |
| ModelNotDeployable |
Model not deployable. |
| EndpointNotUpdatable |
Endpoint not updatable. |
| SingleDefaultEndpoint |
Single default endpoint. |
| EndpointCannotBeDefault |
Endpoint cannot be default. |
| InvalidModelUri |
Invalid model uri. |
| SubscriptionNotFound |
Subscription not found. |
| QuotaViolation |
Quota violation. |
| UnsupportedDelta |
Unsupported delta. |
| UnsupportedFilter |
Unsupported filter. |
| UnsupportedPagination |
Unsupported pagination. |
| UnsupportedDynamicConfiguration |
Unsupported dynamic configuration. |
| UnsupportedOrderBy |
Unsupported order by. |
| NoUtf8WithBom |
No utf8 with bom. |
| ModelDeploymentNotCompleteState |
Model deployment not complete state. |
| SkuLimitsExist |
Sku limits exist. |
| DeployingFailedModel |
Deploying failed model. |
| UnsupportedTimeRange |
Unsupported time range. |
| InvalidLogDate |
Invalid log date. |
| InvalidLogId |
Invalid log id. |
| InvalidLogStartTime |
Invalid log start time. |
| InvalidLogEndTime |
Invalid log end time. |
| InvalidTopForLogs |
Invalid top for logs. |
| InvalidSkipTokenForLogs |
Invalid skip token for logs. |
| DeleteNotAllowed |
Delete not allowed. |
| Forbidden |
Forbidden. |
| DeployNotAllowed |
Deploy not allowed. |
| UnexpectedError |
Unexpected error. |
| InvalidCollection |
Invalid collection. |
| InvalidCallbackUri |
Invalid callback uri. |
| InvalidSasValidityDuration |
Invalid sas validity duration. |
| InaccessibleCustomerStorage |
Inaccessible customer storage. |
| UnsupportedClassBasedAdaptation |
Unsupported class based adaptation. |
| InvalidWebHookEventKind |
Invalid web hook event kind. |
| InvalidTimeToLive |
Invalid time to live. |
| InvalidSourceAzureResourceId |
Invalid source Azure resource ID. |
| ModelCopyAuthorizationExpired |
Expired ModelCopyAuthorization. |
| EndpointLoggingNotSupported |
Endpoint logging not supported. |
| NoLanguageIdentified |
Language Identification did not recognize any language. |
| MultipleLanguagesIdentified |
Language Identification recognized multiple languages. No dominant language could be determined. |
| InvalidAudioFormat |
The format of input audio is not supported. |
| BadChannelConfiguration |
There is a mismatch between audio channels in the data, in the configuration, or the requirements of the application. |
| InvalidChannelSpecification |
The selection of channels in the transcription request is not supported (e.g., neither 0 nor 1 have been selected.) |
| AudioLengthLimitExceeded |
The audio file is longer than the maximum allowed duration. |
| EmptyAudioFile |
The audio file is empty. |
Error
Error
| Name | Type | Description |
|---|---|---|
| code |
ErrorCode |
|
| details |
Error[] |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ErrorCode
ErrorCode
| Value | Description |
|---|---|
| InvalidRequest |
Representing the invalid request error code. |
| InvalidArgument |
Representing the invalid argument error code. |
| InternalServerError |
Representing the internal server error error code. |
| ServiceUnavailable |
Representing the service unavailable error code. |
| NotFound |
Representing the not found error code. |
| PipelineError |
Representing the pipeline error error code. |
| Conflict |
Representing the conflict error code. |
| InternalCommunicationFailed |
Representing the internal communication failed error code. |
| Forbidden |
Representing the forbidden error code. |
| NotAllowed |
Representing the not allowed error code. |
| Unauthorized |
Representing the unauthorized error code. |
| UnsupportedMediaType |
Representing the unsupported media type error code. |
| TooManyRequests |
Representing the too many requests error code. |
| UnprocessableEntity |
Representing the unprocessable entity error code. |
InnerError
InnerError
| Name | Type | Description |
|---|---|---|
| code |
DetailedErrorCode |
|
| details |
object |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
OutputFormatType
OutputFormatType
| Value | Description |
|---|---|
| Lexical |
Model provides the transcription output without formatting. |
| Display |
Model supports display formatting transcriptions output or endpoints. |
Status
Status
| Value | Description |
|---|---|
| NotStarted |
The long running operation has not yet started. |
| Running |
The long running operation is currently processing. |
| Succeeded |
The long running operation has successfully completed. |
| Failed |
The long running operation has failed. |